Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Protected Member Functions
tlp::TabWidgetHidableMenuGraphicsProxy Class Reference

`#include <TabWidgetHidableMenuGraphicsProxy.h>`

Inheritance diagram for tlp::TabWidgetHidableMenuGraphicsProxy:
[legend]
Collaboration diagram for tlp::TabWidgetHidableMenuGraphicsProxy:
[legend]

List of all members.

## Public Member Functions

- TabWidgetHidableMenuGraphicsProxy (const unsigned int offsetWhenHiding)
- void addTab (QWidget *widget, const QString &tabName)
- void setOffsetWhenHiding (const unsigned int offsetWhenHiding)
- void hideTabWidget ()
- QTabWidget * getTabWidget () const

## Protected Member Functions

- void wheelEvent (QGraphicsSceneWheelEvent *event)
- void mouseDoubleClickEvent (QGraphicsSceneMouseEvent *event)

## Constructor & Destructor Documentation

tlp::TabWidgetHidableMenuGraphicsProxy::TabWidgetHidableMenuGraphicsProxy | ( | const unsigned int | offsetWhenHiding | ) |

## Member Function Documentation

void tlp::TabWidgetHidableMenuGraphicsProxy::addTab | ( | QWidget * | widget,
|  | const QString & | tabName
| ) |  |

QTabWidget* tlp::TabWidgetHidableMenuGraphicsProxy::getTabWidget | ( |  | ) | const`[inline]`

void tlp::TabWidgetHidableMenuGraphicsProxy::hideTabWidget | ( |  | ) |

void tlp::TabWidgetHidableMenuGraphicsProxy::mouseDoubleClickEvent | ( | QGraphicsSceneMouseEvent * | event | ) | `[protected]`

void tlp::TabWidgetHidableMenuGraphicsProxy::setOffsetWhenHiding | ( | const unsigned int | offsetWhenHiding | ) | `[inline]`

void tlp::TabWidgetHidableMenuGraphicsProxy::wheelEvent | ( | QGraphicsSceneWheelEvent * | event | ) | `[protected]`

Reimplemented from tlp::GraphicsWidgetBase.

Tulip Software by LaBRI Visualization Team 2001 - 2012